Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Interface SymbolListFactory

All Known Implementing Classes:
  PackedSymbolListFactory, SimpleSymbolListFactory

    public interface SymbolListFactory

This interface exists to hide implementational details of SymbolLists when making chunked symbol lists.

Author:
  David Huen

Method Summary
`SymbolList` | `makeSymbolList(Symbol[] symbolArray, int size, Alphabet alfa)` makes a SymbolList containing size Symbols from a Symbol array.

Method Detail

### makeSymbolList

    SymbolList makeSymbolList(Symbol[] symbolArray,
                              int size,
                              Alphabet alfa)
                              throws IllegalAlphabetException

  makes a SymbolList containing size Symbols from a Symbol array. primarily used to create chunks for a chunked symbol list.

  Throws:
    `IllegalAlphabetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD